Diffrences of 1.5 and 2.0/2,1 OS

Discussion in 'Android Lounge' started by Kawinght, Apr 26, 2010.

  1. Kawinght

    Kawinght Active Member
    26

    Apr 26, 2010
    35
    2
    26
    I have done a little research on here and on Google trying to find the diffrences between the OS. From what i read everone wants the 2.0/2.1 os, Why? What does it have that makes it better. I know newer is better but just want to get the specs and have some understanding since im coming into this android thing a little late.

    eris is cheap and bogo, but i want the Incredible. Looking at phone specs I know the incredible is better phone. Can you get all the same apps on each phone? What are the main diffrences that I might miss out on if i get the eris? I know the eris has a slower processor and 5mp camera compared to 8mp incredible. I dont really use my phone for work its mostly personel use if this helps.

    I apoligize if this is in the wrong forum or if this has already been asked.
     

    Advertisement
  2. mrmojoz

    mrmojoz Well-Known Member
    78

    Feb 24, 2010
    591
    63
    78
  3. Kawinght

    Kawinght Active Member
    26

    Apr 26, 2010
    35
    2
    26
    Sdk? what is this im downloading? I read some of the info on that site now im just confused. What is that site and those programs used for.
     
  4. Bnice

    Bnice Guest

    Well some of the apps don't work on the old OS,the new UI has been revamp let just say if you gonna pay you might as well get the newest.
     
  5. puppet_master

    puppet_master Well-Known Member
    18

    Mar 16, 2010
    76
    12
    18
    To be honest... there's not much worth losing any sleep about. You'll hear people cry that a pre 2.0 version is 'Unusable' because it doesn't support multi-touch.. which is basically a load of crap. These people just can't bare the thought of NOT having something the iPhone can do... and to be honest, it's a gimmick. I don't care what people say about needing it for apps, because I've yet to find myself wanting due to lack of MT.

    Also, all the decent apps/games have support for all versions anyways... so even if there IS the odd app that needs a later version, I can't see it being a MUST HAVE app... so no biggy.

    Others will complain about colour depth (pre 2.0 has 65k instead of 16m) Again, Crap! I've never looked at my screen and thought "Actually, I could really do with a few more colours since 65,000 just isn't cutting it for me anymore". Yes! side by side you can see the difference in SOME instances, but you couldn't tell otherwise.

    Then there's the live wall-papers.. Again, a gimmick.. and one that drains power and resources. Ok they look cool... but that's it... hence 'gimmick'

    It really annoys me when I read people saying "I won't buy a phone unless it has 2.1"... some people are just too proud to have an older version... even if the benefits of a later version are small. I've even seen people use the phrase "Deal breaker" when talking about the X10 because of this fact alone.

    All versions of Android from 1.5 to 2.1 are great... as are all the handsets (all but the Tatoo, that is), so don't let the version of OS be the decisive factor. Buy the best hardware you can afford. That's the biggest screen, the fastest Processor and the most RAM

    -pup-
     
  6. bluenova

    bluenova OK Computer
    VIP Member
    143

    Jan 11, 2010
    1,617
    243
    143
    Driver
    W Midlands, UK
    I think the 2 biggest factors for people wanting to get on 2.1 are...

    Fully working bluetooth
    Many apps now only support 1.6+ or even 2.1+
     
  7. Onslowdk

    Onslowdk Member
    6

    Apr 6, 2010
    7
    1
    6
    Denmark
    I totally agree with Puppet_master - and still I find myself wanting an update :D

    Primarily because of the abillity to transfer files via BT. I have only once in 4 months needed this feature, but it annoys me, that I can't do it.

    I also expect, that an update will speed up the UI a bit.


    /Ons
     
  8. bluenova

    bluenova OK Computer
    VIP Member
    143

    Jan 11, 2010
    1,617
    243
    143
    Driver
    W Midlands, UK
    I've found that Villain 5.3/4 is much faster than the various 1.5 ROMs I've used. I would expect the same for official 2.1 updates.
     
  9. mrmojoz

    mrmojoz Well-Known Member
    78

    Feb 24, 2010
    591
    63
    78
    You may "totally agree" but he is wrong. All the decent programs do NOT support every OS version. 1.5 is missing a large chunk of them (Google navigation for instance) and alot of the most demanding 3D games only work on 2+. OS version does matter, I wouldn't buy a phone not running 2.1 unless I had no other choice.
     
  10. Kawinght

    Kawinght Active Member
    26

    Apr 26, 2010
    35
    2
    26
    Thanks guys! I really appreciate the input. My wife took the liberty to get us both an Eris so hope the apps i like are 1.5 and hope that this suposed updat to 2.1 comes. Guess will see. I can't wait to see what they come out with by the time i need a new upgrade.
     
  11. mrmojoz

    mrmojoz Well-Known Member
    78

    Feb 24, 2010
    591
    63
    78
    How would you know if you like them or not if you can't install them?
     
  12. puppet_master

    puppet_master Well-Known Member
    18

    Mar 16, 2010
    76
    12
    18
    Ok, you might have a point with 1.5, but from 1.6 there just isn't a problem. Google Nav and all the top apps/games are supported and run fine.

    You're also totally wrong about the 'demanding 3D games'. ToonWarz, Speed Forge 3D, Raging Thunder 1+2 AND ExZeus all work fine on 1.6.

    There's no reason to avoid buying a phone NOT running 2.1, You're just another dude that's too proud to run an older OS... even if the benefits are basically zero :/

    -pup-
     
  13. Megs

    Megs Well-Known Member
    48

    Mar 26, 2010
    115
    10
    48
    Canuck
    Okay. So I'm confused. It says that there's voice recognition in 1.5 BUT I can't get any of the "voice" apps to work on my phone (amusingly enough I can get Handcent's TTS to work even though TTS integration wasn't until 1.6).

    Can someone clear that up for me? I'd like to be able to tell my BT car set to "Call Home" without having to find the contact in my contact list while driving.
     
  14. mrmojoz

    mrmojoz Well-Known Member
    78

    Feb 24, 2010
    591
    63
    78
    I have a 1.5 phone and you are telling ME I have no reason to want an upgrade? You can shut up now, your list of things I can't run just proved my point.
     
  15. mrmojoz

    mrmojoz Well-Known Member
    78

    Feb 24, 2010
    591
    63
    78
    1.5 doesn't natively support voice, it requires a 3rd party program. But apprantlly you are wrong to want an upgrade, sorry.
     
  16. bluenova

    bluenova OK Computer
    VIP Member
    143

    Jan 11, 2010
    1,617
    243
    143
    Driver
    W Midlands, UK
    mrmojoz, Please don't tell other users to shut up. Everyone is entitled to their opinion.

    Please keep it nice guys.
     

Share This Page

Loading...